#! /usr/bin/python

import subprocess
import os
import sys
from AppKit import NSAlert
from AppKit import NSApp
from AppKit import NSImage
from AppKit import NSSecureTextField
from AppKit import NSAlertFirstButtonReturn
from AppKit import NSAlertSecondButtonReturn

def main():
    alert = NSAlert.alloc().init()
    alert.setMessageText_(u"Device will RESTART when finished")
    alert.setInformativeText_(u"Your machine will be upgraded to MacOS 10.14")
    alert.setIcon_(NSImage.alloc().initWithContentsOfFile_(
        u"/System/Library/CoreServices/CoreTypes.bundle/Contents/Resources/AlertCautionIcon.icns"))

    # By convention the first button is the default button. Use method
    # setKeyEquivalent_(u"") to revoke the Default button status and method
    # setKeyEquivalent_(u"\r") to make another button the Default button.
    alert.addButtonWithTitle_(u"Continue").setKeyEquivalent_(u"")
    alert.addButtonWithTitle_(u"Cancel").setKeyEquivalent_(u"\r")

    NSApp.activateIgnoringOtherApps_(True)
    result = alert.runModal()

    sys.exit(0 if result == NSAlertFirstButtonReturn else 1)

if __name__ == '__main__':
    main()